SQL-инъекция в LoudBlog

Дата публикации:
27.10.2008
Всего просмотров:
1609
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Loudblog 0.x
Уязвимые версии: LoudBlog 0.8.0a, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "colpick" в сценарии loudblog/ajax.php, когда параметр "action" равен "singleread" и установлен параметр куки "lbauth". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: www.loudblog.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: LoudBlog <= 0.8.0a (ajax.php) SQL Injection PoC (auth)

или введите имя

CAPTCHA